Loading...
Searching...
No Matches
sdbus::MethodInvoker Class Reference

## Public Member Functions

MethodInvoker & | onInterface (const InterfaceName &interfaceName)
MethodInvoker & | onInterface (const std::string &interfaceName)
MethodInvoker & | onInterface (const char *interfaceName)
MethodInvoker & | withTimeout (uint64_t usec)
template<typename Rep, typename Period>
MethodInvoker & | withTimeout (const std::chrono::duration< Rep, Period > &timeout)
template<typename... Args>
MethodInvoker & | withArguments (Args &&... args)
template<typename... Args>
void | storeResultsTo (Args &... args)
void | dontExpectReply ()
| MethodInvoker (const MethodInvoker &)=delete
MethodInvoker & | operator= (const MethodInvoker &)=delete
| MethodInvoker (MethodInvoker &&other)=default
MethodInvoker & | operator= (MethodInvoker &&)=delete

The documentation for this class was generated from the following files:

- include/sdbus-c++/ConvenienceApiClasses.h
- include/sdbus-c++/ConvenienceApiClasses.inl